Lua_NewZeroGiftBtnItem = class("Lua_NewZeroGiftBtnItem", Lua_DisplayObject);
function Lua_NewZeroGiftBtnItem:ctor(p)
    self:superCall("ctor", p, "NewZeroGiftBtnItem_skin");
end

function Lua_NewZeroGiftBtnItem:buildShowItem()
    self:superCall("buildShowItem");

    self.redDot:setEnable(false);
    self.btnBg:addClickFuntion(self, self.onBtnClick);
end

function Lua_NewZeroGiftBtnItem:setData(data)
    self._data = data;
    if data == nil then
    	return;
    end

	self.btnLabel.text = data.gift_title;
    self.redDot:setEnable(data.draw_flag == 1);
end

function Lua_NewZeroGiftBtnItem:setDepth(val)
	self:superCall("setDepth", val);

	self.btnBg:setDepth(val + 1);
	self.btnLabel:setDepth(val + 2);
	self.redDot:setDepth(val + 5);
end

function Lua_NewZeroGiftBtnItem:onSelectionChange(val)
	if val then
		self.btnBg:setAltas("zeroYuan_atlas", "ui_0yuan_btn_01");
	else
		self.btnBg:setAltas("zeroYuan_atlas", "ui_0yuan_btn_02");
	end
end

function Lua_NewZeroGiftBtnItem:onBtnClick()
	if self._data ~= nil then
	    Lua_MsgUtil.callFunc("NewZeroGiftBtnItemClick", self._data);
	end
end

function Lua_NewZeroGiftBtnItem:dispose()
	self._data = nil;
	self:superCall("dispose");
end